Installer - Bug

#33511

dynflow workers started before redis
09/17/2021 11:42 AM - Evgeni Golov

Status: Closed
Priority: Normal
Assignee: Evgeni Golov
Category: Foreman modules
Target version:
Difficulty: Fixed in Releases: 3.1.0
Triaged: No Found in Releases:  3.0.0
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/puppet-for
eman/pull/995
Description
2021-09-17 11:29:01 [ERROR ] [configure] Systemd start for dynflow-sidekig@worker-hosts—-queue-1 fa
iled!
2021-09-17 11:29:01 [ERROR ] [configure] journalctl log for dynflow-sidekig@worker-hosts-queue-1:
2021-09-17 11:29:01 [ERROR ] [configure] —-- Logs begin at Fri 2021-09-17 12:20:02 CEST, end at Fri
2021-09-17 12:46:43 CEST. —-
2021-09-17 11:29:01 [ERROR ] [configure] Sep 17 11:28:45 monforpoc2 systemd[l]: Starting Foreman j

obs daemon - worker-hosts—-queue-1 on sidekiqg...

2021-09-17 11:
ueue—-1[8749]:
2021-09-17 11:
ueue—1[8749]:

2021-09-17 11:
ueue-1[8749]:
g to Redis on
2021-09-17 11:
ueue—-1[8749]:
g to Redis on
2021-09-17 11:
ueue—1[8749]:
g to Redis on
2021-09-17 11:
ueue—-1[8749]:
g to Redis on

29:01 [ERROR ] [configure]

Sep 17 11:28:47 monforpoc2 dynflow-

sidekig@worker-hosts—qg

2021-09-17T09:28:47.171Z 8749 TID-7g9 INFO: GitLab reliable fetch activated!

29:01 [ERROR ] [configure]
:url=>"redis://localhost:6379/0"}
29:01 [ERROR ] [configure]
2021-09-17T09:28:47.1817Z 8749 TID-7et ERROR: Heartbeat thread
localhost:6379 (Errno::ECONNREFUSED)

29:01 [ERROR ] [configure]
2021-09-17T09:28:48.186Z 8749 TID-7et ERROR: Heartbeat thread
localhost:6379 (Errno::ECONNREFUSED)

29:01 [ERROR ] [configure]
2021-09-17T09:28:49.216Z 8749 TID-7et ERROR: Heartbeat thread
localhost:6379 (Errno::ECONNREFUSED)

29:01 [ERROR ] [configure]
2021-09-17T09:28:50.218Z 8749 TID-7et ERROR: Heartbeat thread
localhost:6379 (Errno::ECONNREFUSED)

Sep 17 11:28:47 monforpoc2 dynflow-
2021-09-17T09:28:47.1722Z 8749 TID-7et INFO: Booting Sidekiqg 5.
{:id=>"Sidekig-server-PID-8749",
Sep 17 11:28:47 monforpoc2 dynflow-

Sep 17 11:28:48 monforpoc2 dynflow-

Sep 17 11:28:49 monforpoc2 dynflow-

Sep 17 11:28:50 monforpoc2 dynflow-

sidekig@worker-hosts—qg
2.7 with redis options

sidekig@worker-hosts—g
error: Error connectin
sidekig@worker-hosts—qg
error: Error connectin
sidekig@worker-hosts—qg
error: Error connectin
sidekig@worker-hosts—g

error: Error connectin

Associated revisions

Revision d84fb8ed -

09/17/2021 12:28 PM - Evgeni Golov

Fixes #33511 - configure redis before dynflow workers

sometimes dynflow workers are started before redis, resulting in ugly
errors in the logs until redis is available

History

#1 - 09/17/2021 11:43 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/puppet-foreman/pull/995 added

#2 - 09/17/2021 12:28 PM - The Foreman Bot
- Fixed in Releases 3.1.0 added

#3 - 09/17/2021 01:01 PM - Evgeni Golov
- Status changed from Ready For Testing to Closed
Applied in changeset puppet-foreman|d84fb8edb340904{9afcbi869fa66ea391f267ed.

#4 - 11/15/2021 04:49 PM - Amit Upadhye

- Category set to Foreman modules
